Not to exclude hidden file when creating archive (#1458)

Some of configs are hidden files like .babelrc, we should not ignore them.
This commit is contained in:
Ta-Ching Chen
2019-12-05 01:54:05 +08:00
committed by GitHub
parent 83bc5508ee
commit eb1f971d52
3 changed files with 3 additions and 77 deletions
+3 -11
View File
@@ -37,7 +37,6 @@ import (
metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
fv1 "github.com/fission/fission/pkg/apis/fission.io/v1"
"github.com/fission/fission/pkg/fission-cli/console"
)
func UrlForFunction(name, namespace string) string {
@@ -103,7 +102,7 @@ func GetTempDir() (string, error) {
return dir, err
}
// FindAllGlobs ignores all hidden files and returns a list of globs of input list.
// FindAllGlobs returns a list of globs of input list.
func FindAllGlobs(paths ...string) ([]string, error) {
files := make([]string, 0)
for _, p := range paths {
@@ -116,15 +115,8 @@ func FindAllGlobs(paths ...string) ([]string, error) {
if err != nil {
return nil, errors.Errorf("invalid glob %v: %v", path, err)
}
for _, f := range globs {
// ignore hidden file.
if strings.HasPrefix(filepath.Base(f), ".") {
console.Verbose(2, "Ignore hidden file '%v'", f)
continue
}
files = append(files, f)
// xxx handle excludeGlobs here
}
files = append(files, globs...)
// xxx handle excludeGlobs here
}
return files, nil
}
-1
View File
@@ -532,7 +532,6 @@ run_all_tests() {
$ROOT/test/tests/test_router_cache_invalidation.sh \
$ROOT/test/tests/test_specs/test_spec.sh \
$ROOT/test/tests/test_specs/test_spec_multifile.sh \
$ROOT/test/tests/test_specs/test_ignore_hidden_file.sh \
$ROOT/test/tests/test_specs/test_spec_merge/test_spec_merge.sh \
$ROOT/test/tests/test_specs/test_spec_archive/test_spec_archive.sh \
$ROOT/test/tests/test_environments/test_tensorflow_serving_env.sh \
@@ -1,65 +0,0 @@
#!/bin/bash
set -euo pipefail
source $(dirname $0)/../../utils.sh
ROOT=` realpath $(dirname $0)/../../../`
TEST_ID=$(generate_test_id)
cleanup() {
log "Cleaning up..."
fission spec destroy || true
rm -rf document specs
rm -rf ${TEST_ID}
popd
}
if [ -z "${TEST_NOCLEANUP:-}" ]; then
trap cleanup EXIT
else
log "TEST_NOCLEANUP is set; not cleaning up test artifacts afterwards."
fi
tmp_dir="/tmp/test-$TEST_ID"
mkdir -p $tmp_dir
pushd $tmp_dir
mkdir -p document
cp $ROOT/examples/nodejs/hello.js document/h1.js
cp $ROOT/examples/nodejs/hello.js document/h2.js
log "Create hidden file"
touch document/.im_invisible
log "Create specs"
fission spec init
fission pkg list
#fission env create --name nodejs --image fission/node-env --period 5 --version 2 --spec
fission pkg create --name nodejs --env nodejs --deploy "document/*" --spec
log "Apply specs"
fission --verbosity 2 spec apply
mkdir ${TEST_ID}
fission pkg getdeploy --name nodejs > ${TEST_ID}/a.zip
unzip ${TEST_ID}/a.zip -d ${TEST_ID}/
log "Check whether hidden file exists"
if [ -f ${TEST_ID}/.im_invisible ];
then
log "Found hidden file"
ls -al ${TEST_ID}
exit 1
fi
log "Check file amount"
fileamount=$(ls -al ${TEST_ID} | grep -v total | wc -l)
if [ ! ${fileamount} -eq 5 ];
then
log "File amount incorrect, expect 5"
ls -al ${TEST_ID}
exit 1
fi
log "Test PASSED"